POST https://graph.microsoft.com/beta/me/profile/awards
Content-Type: application/json
{
"description": "Lifetime Achievement award from the International Association of Branding Managers",
"displayName": "Lifetime Achievement Award For Excellence in Branding",
"issuedDate": "Date",
"issuingAuthority": "International Association of Branding Management",
"thumbnailUrl": "https://iabm.io/sdhdfhsdhshsd.jpg",
"webUrl": "https://www.iabm.io"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var personAward = new PersonAward
{
Description = "Lifetime Achievement award from the International Association of Branding Managers",
DisplayName = "Lifetime Achievement Award For Excellence in Branding",
IssuedDate = new Date(1900,1,1),
IssuingAuthority = "International Association of Branding Management",
ThumbnailUrl = "https://iabm.io/sdhdfhsdhshsd.jpg",
WebUrl = "https://www.iabm.io"
};
await graphClient.Me.Profile.Awards
.Request()
.AddAsync(personAward);
重要
Microsoft Graph SDK では、既定で v1.0 バージョンの API が使用され、ベータ 版で使用できるすべての種類、プロパティ、API はサポートされていません。 SDK を使用してベータ API にアクセスする方法の詳細については、「Microsoft Graph SDK とベータ API を使用する」を参照してください。
const options = {
authProvider,
};
const client = Client.init(options);
const personAward = {
description: 'Lifetime Achievement award from the International Association of Branding Managers',
displayName: 'Lifetime Achievement Award For Excellence in Branding',
issuedDate: 'Date',
issuingAuthority: 'International Association of Branding Management',
thumbnailUrl: 'https://iabm.io/sdhdfhsdhshsd.jpg',
webUrl: 'https://www.iabm.io'
};
await client.api('/me/profile/awards')
.version('beta')
.post(personAward);
重要
Microsoft Graph SDK では、既定で v1.0 バージョンの API が使用され、ベータ 版で使用できるすべての種類、プロパティ、API はサポートされていません。 SDK を使用してベータ API にアクセスする方法の詳細については、「Microsoft Graph SDK とベータ API を使用する」を参照してください。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/me/profile/awards"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphPersonAward *personAward = [[MSGraphPersonAward alloc] init];
[personAward setDescription:@"Lifetime Achievement award from the International Association of Branding Managers"];
[personAward setDisplayName:@"Lifetime Achievement Award For Excellence in Branding"];
[personAward setIssuedDate:@"Date"];
[personAward setIssuingAuthority:@"International Association of Branding Management"];
[personAward setThumbnailUrl:@"https://iabm.io/sdhdfhsdhshsd.jpg"];
[personAward setWebUrl:@"https://www.iabm.io"];
NSError *error;
NSData *personAwardData = [personAward getSerializedDataWithError:&error];
[urlRequest setHTTPBody:personAwardData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
重要
Microsoft Graph SDK では、既定で v1.0 バージョンの API が使用され、ベータ 版で使用できるすべての種類、プロパティ、API はサポートされていません。 SDK を使用してベータ API にアクセスする方法の詳細については、「Microsoft Graph SDK とベータ API を使用する」を参照してください。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
PersonAward personAward = new PersonAward();
personAward.description = "Lifetime Achievement award from the International Association of Branding Managers";
personAward.displayName = "Lifetime Achievement Award For Excellence in Branding";
personAward.issuedDate = new DateOnly(1900,1,1);
personAward.issuingAuthority = "International Association of Branding Management";
personAward.thumbnailUrl = "https://iabm.io/sdhdfhsdhshsd.jpg";
personAward.webUrl = "https://www.iabm.io";
graphClient.me().profile().awards()
.buildRequest()
.post(personAward);
重要
Microsoft Graph SDK では、既定で v1.0 バージョンの API が使用され、ベータ 版で使用できるすべての種類、プロパティ、API はサポートされていません。 SDK を使用してベータ API にアクセスする方法の詳細については、「Microsoft Graph SDK とベータ API を使用する」を参照してください。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewPersonAward()
description := "Lifetime Achievement award from the International Association of Branding Managers"
requestBody.SetDescription(&description)
displayName := "Lifetime Achievement Award For Excellence in Branding"
requestBody.SetDisplayName(&displayName)
issuedDate := "Date"
requestBody.SetIssuedDate(&issuedDate)
issuingAuthority := "International Association of Branding Management"
requestBody.SetIssuingAuthority(&issuingAuthority)
thumbnailUrl := "https://iabm.io/sdhdfhsdhshsd.jpg"
requestBody.SetThumbnailUrl(&thumbnailUrl)
webUrl := "https://www.iabm.io"
requestBody.SetWebUrl(&webUrl)
result, err := graphClient.Me().Profile().Awards().Post(requestBody)
重要
Microsoft Graph SDK では、既定で v1.0 バージョンの API が使用され、ベータ 版で使用できるすべての種類、プロパティ、API はサポートされていません。 SDK を使用してベータ API にアクセスする方法の詳細については、「Microsoft Graph SDK とベータ API を使用する」を参照してください。
Import-Module Microsoft.Graph.People
$params = @{
Description = "Lifetime Achievement award from the International Association of Branding Managers"
DisplayName = "Lifetime Achievement Award For Excellence in Branding"
IssuedDate = "Date"
IssuingAuthority = "International Association of Branding Management"
ThumbnailUrl = "https://iabm.io/sdhdfhsdhshsd.jpg"
WebUrl = "https://www.iabm.io"
}
# A UPN can also be used as -UserId.
New-MgUserProfileAward -UserId $userId -BodyParameter $params
重要
Microsoft Graph SDK では、既定で v1.0 バージョンの API が使用され、ベータ 版で使用できるすべての種類、プロパティ、API はサポートされていません。 SDK を使用してベータ API にアクセスする方法の詳細については、「Microsoft Graph SDK とベータ API を使用する」を参照してください。